export class TimeSlot {
    constructor(isoTime: string, startDate: string, end: string) {
        this.isoTime = isoTime;
        this.start = startDate;
        this.end = end;
        this.allDay = true;
        this.draggable = false;
    }

    public eventTimeLabel() {
        return new Date(this.end).toLocaleTimeString([], { hour: '2-digit', minute: '2-digit', hour12: false });
    }
    // event time in iso format
    isoTime: string;
    // start of event day
    start: string;
    // event date time
    end: string;
    allDay: boolean;
    draggable: boolean;
}
